@echo off

set CB=.
set TMPDIR=.\tmp
set OUTDIR=.\bin

set ZC=zinc\zc.exe
set LIBS=%CB%\lib
set ZLIB=%CB%\lib\zlib
set PLATFORM=windows
set CC=gcc
set CCOPT=-O2 -w -c
set RC=windres

md %TMPDIR%
md %OUTDIR%

echo Compiling the compiler...
pushd zinc
call build.bat
popd

echo Compiling sources...
%ZC% -I %CB%\lib\swift\win32 -I %CB%\lib\swift\common -I %ZLIB% -I %LIBS%\include -I %ZLIB%\platform\%PLATFORM% -I %CB%\src -o %TMPDIR%\cb.c %CB%\src\main.zc
%CC% %CCOPT% %ZLIB%\file\private\io.c -o %TMPDIR%\io.o

echo Compiling resources...
pushd %CB%\res
%RC% -o ..\tmp\cbres.o cb.rc
popd

echo Compiling generated C code...
%CC% %CCOPT% %TMPDIR%\cb.c -o %TMPDIR%\cb.o
echo Linking...
%CC% -s -o %OUTDIR%\cb.exe %TMPDIR%\cb.o %TMPDIR%\io.o %TMPDIR%\cbres.o -lole32 -luuid -lshell32 -lcomctl32 -mwindows

copy copying.txt %OUTDIR%
copy config\languages.cb-config %OUTDIR%
copy config\preferences.cb-config %OUTDIR%
