
#ifndef __GTK_CUSTOM_H__
#define __GTK_CUSTOM_H__

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define GTK_TYPE_CUSTOM                 (gtk_custom_get_type ())
#define GTK_CUSTOM(obj)                 (GTK_CHECK_CAST ((obj), GTK_TYPE_CUSTOM, GtkCustom))
#define GTK_CUSTOM_CLASS(klass)         (GTK_CHECK_CLASS_CAST ((klass), GTK_TYPE_CUSTOM, GtkCustomClass))
#define GTK_IS_CUSTOM(obj)              (GTK_CHECK_TYPE ((obj), GTK_TYPE_CUSTOM))
#define GTK_IS_CUSTOM_CLASS(klass)      (GTK_CHECK_CLASS_TYPE ((klass), GTK_TYPE_CUSTOM))
#define GTK_CUSTOM_GET_CLASS(obj)       (GTK_CHECK_GET_CLASS ((obj), GTK_TYPE_CUSTOM, GtkCustomClass))

typedef struct _GtkCustom        GtkCustom;
typedef struct _GtkCustomClass   GtkCustomClass;
typedef struct _GtkCustomChild    GtkCustomChild;

struct _GtkCustom
{
  GtkContainer container;
GList* children;
};

struct _GtkCustomClass
{
  GtkContainerClass parent_class;
};

struct _GtkCustomChild
{
  GtkWidget *widget;
};

GtkType    gtk_custom_get_type          (void) G_GNUC_CONST;
GtkWidget* gtk_custom_new               (void);

#ifdef __cplusplus
}
#endif


#endif
